http://databrew.{region}.amazonaws.com/recipeJobsCreates a new job to transform input data, using steps defined in an existing Glue DataBrew recipe
A unique name for the job. Valid characters are alphanumeric (A-Z, a-z, 0-9), hyphen (-), period (.), and space.
Metadata tags to apply to this job.
One or more artifacts that represent the output from running the job.
The Amazon Resource Name (ARN) of the Identity and Access Management (IAM) role to be assumed when DataBrew runs the job.
The job's timeout in minutes. A job that attempts to run longer than this timeout period ends with a status of <code>TIMEOUT</code>.
The maximum number of times to retry the job after a job run fails.
The name of the dataset that this job processes.
The maximum number of nodes that DataBrew can consume when the job processes data.
Either the name of an existing project, or a combination of a recipe and a dataset to associate with the recipe.
<p>The encryption mode for the job, which can be one of the following:</p> <ul> <li> <p> <code>SSE-KMS</code> - Server-side encryption with keys managed by KMS.</p> </li> <li> <p> <code>SSE-S3</code> - Server-side encryption with keys managed by Amazon S3.</p> </li> </ul>
Represents a list of JDBC database output objects which defines the output destination for a DataBrew recipe job to write to.
Enables or disables Amazon CloudWatch logging for the job. If logging is enabled, CloudWatch writes one log stream for each job run.
Represents the name and version of a DataBrew recipe.
The Amazon Resource Name (ARN) of an encryption key that is used to protect the job.
One or more artifacts that represent the Glue Data Catalog output from running the job.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://databrew.{region}.amazonaws.com/recipeJobs' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://databrew.{region}.amazonaws.com/recipeJobsCreates a new job to transform input data, using steps defined in an existing Glue DataBrew recipe
A unique name for the job. Valid characters are alphanumeric (A-Z, a-z, 0-9), hyphen (-), period (.), and space.
Metadata tags to apply to this job.
One or more artifacts that represent the output from running the job.
The Amazon Resource Name (ARN) of the Identity and Access Management (IAM) role to be assumed when DataBrew runs the job.
The job's timeout in minutes. A job that attempts to run longer than this timeout period ends with a status of <code>TIMEOUT</code>.
The maximum number of times to retry the job after a job run fails.
The name of the dataset that this job processes.
The maximum number of nodes that DataBrew can consume when the job processes data.
Either the name of an existing project, or a combination of a recipe and a dataset to associate with the recipe.
<p>The encryption mode for the job, which can be one of the following:</p> <ul> <li> <p> <code>SSE-KMS</code> - Server-side encryption with keys managed by KMS.</p> </li> <li> <p> <code>SSE-S3</code> - Server-side encryption with keys managed by Amazon S3.</p> </li> </ul>
Represents a list of JDBC database output objects which defines the output destination for a DataBrew recipe job to write to.
Enables or disables Amazon CloudWatch logging for the job. If logging is enabled, CloudWatch writes one log stream for each job run.
Represents the name and version of a DataBrew recipe.
The Amazon Resource Name (ARN) of an encryption key that is used to protect the job.
One or more artifacts that represent the Glue Data Catalog output from running the job.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://databrew.{region}.amazonaws.com/recipeJobs' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}